POST https://api.cryptohopper.com/v1/hopper/{id}/position/movetoreserved/{position_id}

Moves one open position to reserved funds and recalculates the hopper's reserved balances.

OAuth scope: read manage About scopes

Not available for exchange arbitrage, market maker, copy, grid and AI bots.

Example request

curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/position/movetoreserved/POSITION_ID" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
position_id string Required Open position ID.
id string Required Hopper ID.

Response

Example response (illustrative values)

{
    "data": "Position(s) moved to reserved funds."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.